1.4.13 - Apache und MySQL starten nicht

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

1.4.13 - Apache und MySQL starten nicht

Postby cheApa » 15. April 2005 16:49

Hallo,

habe mir gerade das ZIP-Archiv xampp-win32-1.4.13.exe heruntergeladen und anschliessend in das Verzeichnis meiner bisherigen 1.4.12 Installation entpackt. Dann mittels setup_xampp.bat und php-switch.bat (um PHP4 zu aktivieren) das Setup abgeschlossen.

Doch jetzt lassen sich weder der Apache noch MySQL starten.

Der Aufruf von apache_start.bat schmeisst nur die Meldung

Apache 2 is starting ...
Syntax error on line 57 of D:/xampp/apache/conf/httpd.conf:
ServerRoot must be a valid directory

heraus und bricht dann ab.

Der Aufruf von mysql_start.bat schmeisst nur die Meldung

MySQL is trying to start
Please wait ...
MySQL is starting with mysql\bin\my.cnf (console)
050415 17:43:06 [ERROR] Can't find messagefile '\xampp\mysql\share\english\errmsg.sys'
050415 17:43:06 [ERROR] Aborting

heraus und bricht dann ab.

Das alles läuft (soll laufen) unter Win98 SE.
Die Version 1.4.12 funktionierte noch out-of-the-box.

Any hints?

bye,
cheApa
cheApa
 
Posts: 2
Joined: 15. April 2005 16:15

hi

Postby Wraith » 15. April 2005 17:20

überprüfe mal die conf-datei, da stehen anscheinend falsche Verzeichnisse drin, die musst du anpassen, schätze ich mal.
User avatar
Wraith
 
Posts: 14
Joined: 10. April 2005 13:48
Location: Bad Tennstedt

Re: hi

Postby cheApa » 15. April 2005 17:30

Wraith wrote:überprüfe mal die conf-datei, da stehen anscheinend falsche Verzeichnisse drin, die musst du anpassen, schätze ich mal.

Das hatte ich selbstverständlich schon getan. Genauer: habe die conf-Datei der Version 1.4.13 mit der aus der 1.4.12 verglichen. Jedoch hat mir ediff in meinem Emacs nur 3 Unterschiede gemeldet, die aber nichts mit diesem Problem zu tun haben sollten. Alle Verzeichnisangaben waren in beiden Versionen identisch, und bei der 1.4.12 lief es ja noch.

Trotzdem Danke,
mehr davon...
cheApa
 
Posts: 2
Joined: 15. April 2005 16:15

Postby deepsurfer » 17. April 2005 11:15

das bedeutet du hast nicht das UPGRADE paket genommen sondern einfach die 1.4.13 Version über die 1.4.12 Version entpackt..

sorry... aber es wird immer wieder darauf hingewiesen das man solche Sprünge (ohne einer Neuinstallation) mit dem UPGRADE zu machen sind.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 6 guests